Bug 68654 - entries to "nowhere"
entries to "nowhere"
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 23:43 EDT by Michal Jaegermann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 21:35:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-07-11 23:43:34 EDT
Description of Problem:

If I am not interested in a broken bloatware why I am pestered in
~/.xsession-errors with messages like "Unable to open desktop file
applications:///Internet/evolution.desktop for panel launcher: Error reading
file 'applications:///Internet/evolution.desktop': File not found
Unable to open desktop file applications:///Office/redhat-word-processor.desktop
for panel launcher: Error reading file
'applications:///Office/redhat-word-processor.desktop': File not found"

It seems natural that these menu entries should belong to packages which
they advertise instead to be scattered in random places.  In the worst
case a session launch code should be doing elementary checks and not to
attempt to start things which do not exist.
Comment 1 Havoc Pennington 2002-07-12 11:48:50 EDT
It is doing a check, that's why it prints a message when the check fails.
The main reason to print this is that if you're trying to customize the panel
defaults for a lot of users, and you have a typo in your launcher filename, 
it's extremely frustrating to figure out what's going wrong if there are no
error messages.

If this happens every time you log in (instead of just the first time) and there
aren't launchers on the panel in order to remove them, I buy that it's a bug,
but if it just fails to create the launchers the first time, prints an error,
and is silent thereafter, I think it's right to print these so that people
trying to configure the panel don't go nuts wondering why it isn't working.

Comment 2 Havoc Pennington 2003-01-12 21:35:47 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103273

Note You need to log in before you can comment on or make changes to this bug.